# YTBtoTSV

## About The project

YTBtoTSV is programm to collect transcripts from Youtube videos and save them into TSV files which can be imported in Gargantext.

## Requirement

To use this programm, you need to install youtube-search-python first.
To do that, enter the following command on the terminal :

```shell
pip3 install youtube-search-python
```

## Usage

```shell
python3 YTBtoTSV.py 
```

At start, the programm will ask you the sentence you want to search and the number of videos' transcript you want to collect.

The resulting TSV files (one for each video and one "final.tsv" for the compilation of all videos) are put in the "tsv" directory.

